IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network10.3.48.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
10.3.48.0- Broadcast address
10.3.51.255- First usable
10.3.48.1- Last usable
10.3.51.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Private (RFC 1918) 10.0.0.0/8
Office and home networks; not routed on the internet - Old class
- A (default /8)
- As numbers
- Hex
0A033000· Integer167981056to167982079 - Reverse DNS zones
48.3.10.in-addr.arpa49.3.10.in-addr.arpa50.3.10.in-addr.arpa51.3.10.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001010.00000011.00110000.00000000 | 10.3.48.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 00001010.00000011.00110000.00000000 | 10.3.48.0 |
| Broadcast | 00001010.00000011.00110011.11111111 | 10.3.51.255 |
Split into smaller subnets
10.3.48.0/22 makes 512 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 10.3.48.0/31 | 10.3.48.0 to 10.3.48.1 | — | 2 |
| 2 | 10.3.48.2/31 | 10.3.48.2 to 10.3.48.3 | — | 2 |
| 3 | 10.3.48.4/31 | 10.3.48.4 to 10.3.48.5 | — | 2 |
| 4 | 10.3.48.6/31 | 10.3.48.6 to 10.3.48.7 | — | 2 |
| 5 | 10.3.48.8/31 | 10.3.48.8 to 10.3.48.9 | — | 2 |
| 6 | 10.3.48.10/31 | 10.3.48.10 to 10.3.48.11 | — | 2 |
| 7 | 10.3.48.12/31 | 10.3.48.12 to 10.3.48.13 | — | 2 |
| 8 | 10.3.48.14/31 | 10.3.48.14 to 10.3.48.15 | — | 2 |
| 9 | 10.3.48.16/31 | 10.3.48.16 to 10.3.48.17 | — | 2 |
| 10 | 10.3.48.18/31 | 10.3.48.18 to 10.3.48.19 | — | 2 |
| 11 | 10.3.48.20/31 | 10.3.48.20 to 10.3.48.21 | — | 2 |
| 12 | 10.3.48.22/31 | 10.3.48.22 to 10.3.48.23 | — | 2 |
| 13 | 10.3.48.24/31 | 10.3.48.24 to 10.3.48.25 | — | 2 |
| 14 | 10.3.48.26/31 | 10.3.48.26 to 10.3.48.27 | — | 2 |
| 15 | 10.3.48.28/31 | 10.3.48.28 to 10.3.48.29 | — | 2 |
| 16 | 10.3.48.30/31 | 10.3.48.30 to 10.3.48.31 | — | 2 |
| 17 | 10.3.48.32/31 | 10.3.48.32 to 10.3.48.33 | — | 2 |
| 18 | 10.3.48.34/31 | 10.3.48.34 to 10.3.48.35 | — | 2 |
| 19 | 10.3.48.36/31 | 10.3.48.36 to 10.3.48.37 | — | 2 |
| 20 | 10.3.48.38/31 | 10.3.48.38 to 10.3.48.39 | — | 2 |
| 21 | 10.3.48.40/31 | 10.3.48.40 to 10.3.48.41 | — | 2 |
| 22 | 10.3.48.42/31 | 10.3.48.42 to 10.3.48.43 | — | 2 |
| 23 | 10.3.48.44/31 | 10.3.48.44 to 10.3.48.45 | — | 2 |
| 24 | 10.3.48.46/31 | 10.3.48.46 to 10.3.48.47 | — | 2 |
| 25 | 10.3.48.48/31 | 10.3.48.48 to 10.3.48.49 | — | 2 |
| 26 | 10.3.48.50/31 | 10.3.48.50 to 10.3.48.51 | — | 2 |
| 27 | 10.3.48.52/31 | 10.3.48.52 to 10.3.48.53 | — | 2 |
| 28 | 10.3.48.54/31 | 10.3.48.54 to 10.3.48.55 | — | 2 |
| 29 | 10.3.48.56/31 | 10.3.48.56 to 10.3.48.57 | — | 2 |
| 30 | 10.3.48.58/31 | 10.3.48.58 to 10.3.48.59 | — | 2 |
| 31 | 10.3.48.60/31 | 10.3.48.60 to 10.3.48.61 | — | 2 |
| 32 | 10.3.48.62/31 | 10.3.48.62 to 10.3.48.63 | — | 2 |
| 33 | 10.3.48.64/31 | 10.3.48.64 to 10.3.48.65 | — | 2 |
| 34 | 10.3.48.66/31 | 10.3.48.66 to 10.3.48.67 | — | 2 |
| 35 | 10.3.48.68/31 | 10.3.48.68 to 10.3.48.69 | — | 2 |
| 36 | 10.3.48.70/31 | 10.3.48.70 to 10.3.48.71 | — | 2 |
| 37 | 10.3.48.72/31 | 10.3.48.72 to 10.3.48.73 | — | 2 |
| 38 | 10.3.48.74/31 | 10.3.48.74 to 10.3.48.75 | — | 2 |
| 39 | 10.3.48.76/31 | 10.3.48.76 to 10.3.48.77 | — | 2 |
| 40 | 10.3.48.78/31 | 10.3.48.78 to 10.3.48.79 | — | 2 |
| 41 | 10.3.48.80/31 | 10.3.48.80 to 10.3.48.81 | — | 2 |
| 42 | 10.3.48.82/31 | 10.3.48.82 to 10.3.48.83 | — | 2 |
| 43 | 10.3.48.84/31 | 10.3.48.84 to 10.3.48.85 | — | 2 |
| 44 | 10.3.48.86/31 | 10.3.48.86 to 10.3.48.87 | — | 2 |
| 45 | 10.3.48.88/31 | 10.3.48.88 to 10.3.48.89 | — | 2 |
| 46 | 10.3.48.90/31 | 10.3.48.90 to 10.3.48.91 | — | 2 |
| 47 | 10.3.48.92/31 | 10.3.48.92 to 10.3.48.93 | — | 2 |
| 48 | 10.3.48.94/31 | 10.3.48.94 to 10.3.48.95 | — | 2 |
| 49 | 10.3.48.96/31 | 10.3.48.96 to 10.3.48.97 | — | 2 |
| 50 | 10.3.48.98/31 | 10.3.48.98 to 10.3.48.99 | — | 2 |
| 51 | 10.3.48.100/31 | 10.3.48.100 to 10.3.48.101 | — | 2 |
| 52 | 10.3.48.102/31 | 10.3.48.102 to 10.3.48.103 | — | 2 |
| 53 | 10.3.48.104/31 | 10.3.48.104 to 10.3.48.105 | — | 2 |
| 54 | 10.3.48.106/31 | 10.3.48.106 to 10.3.48.107 | — | 2 |
| 55 | 10.3.48.108/31 | 10.3.48.108 to 10.3.48.109 | — | 2 |
| 56 | 10.3.48.110/31 | 10.3.48.110 to 10.3.48.111 | — | 2 |
| 57 | 10.3.48.112/31 | 10.3.48.112 to 10.3.48.113 | — | 2 |
| 58 | 10.3.48.114/31 | 10.3.48.114 to 10.3.48.115 | — | 2 |
| 59 | 10.3.48.116/31 | 10.3.48.116 to 10.3.48.117 | — | 2 |
| 60 | 10.3.48.118/31 | 10.3.48.118 to 10.3.48.119 | — | 2 |
| 61 | 10.3.48.120/31 | 10.3.48.120 to 10.3.48.121 | — | 2 |
| 62 | 10.3.48.122/31 | 10.3.48.122 to 10.3.48.123 | — | 2 |
| 63 | 10.3.48.124/31 | 10.3.48.124 to 10.3.48.125 | — | 2 |
| 64 | 10.3.48.126/31 | 10.3.48.126 to 10.3.48.127 | — | 2 |
| 65 | 10.3.48.128/31 | 10.3.48.128 to 10.3.48.129 | — | 2 |
| 66 | 10.3.48.130/31 | 10.3.48.130 to 10.3.48.131 | — | 2 |
| 67 | 10.3.48.132/31 | 10.3.48.132 to 10.3.48.133 | — | 2 |
| 68 | 10.3.48.134/31 | 10.3.48.134 to 10.3.48.135 | — | 2 |
| 69 | 10.3.48.136/31 | 10.3.48.136 to 10.3.48.137 | — | 2 |
| 70 | 10.3.48.138/31 | 10.3.48.138 to 10.3.48.139 | — | 2 |
| 71 | 10.3.48.140/31 | 10.3.48.140 to 10.3.48.141 | — | 2 |
| 72 | 10.3.48.142/31 | 10.3.48.142 to 10.3.48.143 | — | 2 |
| 73 | 10.3.48.144/31 | 10.3.48.144 to 10.3.48.145 | — | 2 |
| 74 | 10.3.48.146/31 | 10.3.48.146 to 10.3.48.147 | — | 2 |
| 75 | 10.3.48.148/31 | 10.3.48.148 to 10.3.48.149 | — | 2 |
| 76 | 10.3.48.150/31 | 10.3.48.150 to 10.3.48.151 | — | 2 |
| 77 | 10.3.48.152/31 | 10.3.48.152 to 10.3.48.153 | — | 2 |
| 78 | 10.3.48.154/31 | 10.3.48.154 to 10.3.48.155 | — | 2 |
| 79 | 10.3.48.156/31 | 10.3.48.156 to 10.3.48.157 | — | 2 |
| 80 | 10.3.48.158/31 | 10.3.48.158 to 10.3.48.159 | — | 2 |
| 81 | 10.3.48.160/31 | 10.3.48.160 to 10.3.48.161 | — | 2 |
| 82 | 10.3.48.162/31 | 10.3.48.162 to 10.3.48.163 | — | 2 |
| 83 | 10.3.48.164/31 | 10.3.48.164 to 10.3.48.165 | — | 2 |
| 84 | 10.3.48.166/31 | 10.3.48.166 to 10.3.48.167 | — | 2 |
| 85 | 10.3.48.168/31 | 10.3.48.168 to 10.3.48.169 | — | 2 |
| 86 | 10.3.48.170/31 | 10.3.48.170 to 10.3.48.171 | — | 2 |
| 87 | 10.3.48.172/31 | 10.3.48.172 to 10.3.48.173 | — | 2 |
| 88 | 10.3.48.174/31 | 10.3.48.174 to 10.3.48.175 | — | 2 |
| 89 | 10.3.48.176/31 | 10.3.48.176 to 10.3.48.177 | — | 2 |
| 90 | 10.3.48.178/31 | 10.3.48.178 to 10.3.48.179 | — | 2 |
| 91 | 10.3.48.180/31 | 10.3.48.180 to 10.3.48.181 | — | 2 |
| 92 | 10.3.48.182/31 | 10.3.48.182 to 10.3.48.183 | — | 2 |
| 93 | 10.3.48.184/31 | 10.3.48.184 to 10.3.48.185 | — | 2 |
| 94 | 10.3.48.186/31 | 10.3.48.186 to 10.3.48.187 | — | 2 |
| 95 | 10.3.48.188/31 | 10.3.48.188 to 10.3.48.189 | — | 2 |
| 96 | 10.3.48.190/31 | 10.3.48.190 to 10.3.48.191 | — | 2 |
| 97 | 10.3.48.192/31 | 10.3.48.192 to 10.3.48.193 | — | 2 |
| 98 | 10.3.48.194/31 | 10.3.48.194 to 10.3.48.195 | — | 2 |
| 99 | 10.3.48.196/31 | 10.3.48.196 to 10.3.48.197 | — | 2 |
| 100 | 10.3.48.198/31 | 10.3.48.198 to 10.3.48.199 | — | 2 |
| 101 | 10.3.48.200/31 | 10.3.48.200 to 10.3.48.201 | — | 2 |
| 102 | 10.3.48.202/31 | 10.3.48.202 to 10.3.48.203 | — | 2 |
| 103 | 10.3.48.204/31 | 10.3.48.204 to 10.3.48.205 | — | 2 |
| 104 | 10.3.48.206/31 | 10.3.48.206 to 10.3.48.207 | — | 2 |
| 105 | 10.3.48.208/31 | 10.3.48.208 to 10.3.48.209 | — | 2 |
| 106 | 10.3.48.210/31 | 10.3.48.210 to 10.3.48.211 | — | 2 |
| 107 | 10.3.48.212/31 | 10.3.48.212 to 10.3.48.213 | — | 2 |
| 108 | 10.3.48.214/31 | 10.3.48.214 to 10.3.48.215 | — | 2 |
| 109 | 10.3.48.216/31 | 10.3.48.216 to 10.3.48.217 | — | 2 |
| 110 | 10.3.48.218/31 | 10.3.48.218 to 10.3.48.219 | — | 2 |
| 111 | 10.3.48.220/31 | 10.3.48.220 to 10.3.48.221 | — | 2 |
| 112 | 10.3.48.222/31 | 10.3.48.222 to 10.3.48.223 | — | 2 |
| 113 | 10.3.48.224/31 | 10.3.48.224 to 10.3.48.225 | — | 2 |
| 114 | 10.3.48.226/31 | 10.3.48.226 to 10.3.48.227 | — | 2 |
| 115 | 10.3.48.228/31 | 10.3.48.228 to 10.3.48.229 | — | 2 |
| 116 | 10.3.48.230/31 | 10.3.48.230 to 10.3.48.231 | — | 2 |
| 117 | 10.3.48.232/31 | 10.3.48.232 to 10.3.48.233 | — | 2 |
| 118 | 10.3.48.234/31 | 10.3.48.234 to 10.3.48.235 | — | 2 |
| 119 | 10.3.48.236/31 | 10.3.48.236 to 10.3.48.237 | — | 2 |
| 120 | 10.3.48.238/31 | 10.3.48.238 to 10.3.48.239 | — | 2 |
| 121 | 10.3.48.240/31 | 10.3.48.240 to 10.3.48.241 | — | 2 |
| 122 | 10.3.48.242/31 | 10.3.48.242 to 10.3.48.243 | — | 2 |
| 123 | 10.3.48.244/31 | 10.3.48.244 to 10.3.48.245 | — | 2 |
| 124 | 10.3.48.246/31 | 10.3.48.246 to 10.3.48.247 | — | 2 |
| 125 | 10.3.48.248/31 | 10.3.48.248 to 10.3.48.249 | — | 2 |
| 126 | 10.3.48.250/31 | 10.3.48.250 to 10.3.48.251 | — | 2 |
| 127 | 10.3.48.252/31 | 10.3.48.252 to 10.3.48.253 | — | 2 |
| 128 | 10.3.48.254/31 | 10.3.48.254 to 10.3.48.255 | — | 2 |
| 129 | 10.3.49.0/31 | 10.3.49.0 to 10.3.49.1 | — | 2 |
| 130 | 10.3.49.2/31 | 10.3.49.2 to 10.3.49.3 | — | 2 |
| 131 | 10.3.49.4/31 | 10.3.49.4 to 10.3.49.5 | — | 2 |
| 132 | 10.3.49.6/31 | 10.3.49.6 to 10.3.49.7 | — | 2 |
| 133 | 10.3.49.8/31 | 10.3.49.8 to 10.3.49.9 | — | 2 |
| 134 | 10.3.49.10/31 | 10.3.49.10 to 10.3.49.11 | — | 2 |
| 135 | 10.3.49.12/31 | 10.3.49.12 to 10.3.49.13 | — | 2 |
| 136 | 10.3.49.14/31 | 10.3.49.14 to 10.3.49.15 | — | 2 |
| 137 | 10.3.49.16/31 | 10.3.49.16 to 10.3.49.17 | — | 2 |
| 138 | 10.3.49.18/31 | 10.3.49.18 to 10.3.49.19 | — | 2 |
| 139 | 10.3.49.20/31 | 10.3.49.20 to 10.3.49.21 | — | 2 |
| 140 | 10.3.49.22/31 | 10.3.49.22 to 10.3.49.23 | — | 2 |
| 141 | 10.3.49.24/31 | 10.3.49.24 to 10.3.49.25 | — | 2 |
| 142 | 10.3.49.26/31 | 10.3.49.26 to 10.3.49.27 | — | 2 |
| 143 | 10.3.49.28/31 | 10.3.49.28 to 10.3.49.29 | — | 2 |
| 144 | 10.3.49.30/31 | 10.3.49.30 to 10.3.49.31 | — | 2 |
| 145 | 10.3.49.32/31 | 10.3.49.32 to 10.3.49.33 | — | 2 |
| 146 | 10.3.49.34/31 | 10.3.49.34 to 10.3.49.35 | — | 2 |
| 147 | 10.3.49.36/31 | 10.3.49.36 to 10.3.49.37 | — | 2 |
| 148 | 10.3.49.38/31 | 10.3.49.38 to 10.3.49.39 | — | 2 |
| 149 | 10.3.49.40/31 | 10.3.49.40 to 10.3.49.41 | — | 2 |
| 150 | 10.3.49.42/31 | 10.3.49.42 to 10.3.49.43 | — | 2 |
| 151 | 10.3.49.44/31 | 10.3.49.44 to 10.3.49.45 | — | 2 |
| 152 | 10.3.49.46/31 | 10.3.49.46 to 10.3.49.47 | — | 2 |
| 153 | 10.3.49.48/31 | 10.3.49.48 to 10.3.49.49 | — | 2 |
| 154 | 10.3.49.50/31 | 10.3.49.50 to 10.3.49.51 | — | 2 |
| 155 | 10.3.49.52/31 | 10.3.49.52 to 10.3.49.53 | — | 2 |
| 156 | 10.3.49.54/31 | 10.3.49.54 to 10.3.49.55 | — | 2 |
| 157 | 10.3.49.56/31 | 10.3.49.56 to 10.3.49.57 | — | 2 |
| 158 | 10.3.49.58/31 | 10.3.49.58 to 10.3.49.59 | — | 2 |
| 159 | 10.3.49.60/31 | 10.3.49.60 to 10.3.49.61 | — | 2 |
| 160 | 10.3.49.62/31 | 10.3.49.62 to 10.3.49.63 | — | 2 |
| 161 | 10.3.49.64/31 | 10.3.49.64 to 10.3.49.65 | — | 2 |
| 162 | 10.3.49.66/31 | 10.3.49.66 to 10.3.49.67 | — | 2 |
| 163 | 10.3.49.68/31 | 10.3.49.68 to 10.3.49.69 | — | 2 |
| 164 | 10.3.49.70/31 | 10.3.49.70 to 10.3.49.71 | — | 2 |
| 165 | 10.3.49.72/31 | 10.3.49.72 to 10.3.49.73 | — | 2 |
| 166 | 10.3.49.74/31 | 10.3.49.74 to 10.3.49.75 | — | 2 |
| 167 | 10.3.49.76/31 | 10.3.49.76 to 10.3.49.77 | — | 2 |
| 168 | 10.3.49.78/31 | 10.3.49.78 to 10.3.49.79 | — | 2 |
| 169 | 10.3.49.80/31 | 10.3.49.80 to 10.3.49.81 | — | 2 |
| 170 | 10.3.49.82/31 | 10.3.49.82 to 10.3.49.83 | — | 2 |
| 171 | 10.3.49.84/31 | 10.3.49.84 to 10.3.49.85 | — | 2 |
| 172 | 10.3.49.86/31 | 10.3.49.86 to 10.3.49.87 | — | 2 |
| 173 | 10.3.49.88/31 | 10.3.49.88 to 10.3.49.89 | — | 2 |
| 174 | 10.3.49.90/31 | 10.3.49.90 to 10.3.49.91 | — | 2 |
| 175 | 10.3.49.92/31 | 10.3.49.92 to 10.3.49.93 | — | 2 |
| 176 | 10.3.49.94/31 | 10.3.49.94 to 10.3.49.95 | — | 2 |
| 177 | 10.3.49.96/31 | 10.3.49.96 to 10.3.49.97 | — | 2 |
| 178 | 10.3.49.98/31 | 10.3.49.98 to 10.3.49.99 | — | 2 |
| 179 | 10.3.49.100/31 | 10.3.49.100 to 10.3.49.101 | — | 2 |
| 180 | 10.3.49.102/31 | 10.3.49.102 to 10.3.49.103 | — | 2 |
| 181 | 10.3.49.104/31 | 10.3.49.104 to 10.3.49.105 | — | 2 |
| 182 | 10.3.49.106/31 | 10.3.49.106 to 10.3.49.107 | — | 2 |
| 183 | 10.3.49.108/31 | 10.3.49.108 to 10.3.49.109 | — | 2 |
| 184 | 10.3.49.110/31 | 10.3.49.110 to 10.3.49.111 | — | 2 |
| 185 | 10.3.49.112/31 | 10.3.49.112 to 10.3.49.113 | — | 2 |
| 186 | 10.3.49.114/31 | 10.3.49.114 to 10.3.49.115 | — | 2 |
| 187 | 10.3.49.116/31 | 10.3.49.116 to 10.3.49.117 | — | 2 |
| 188 | 10.3.49.118/31 | 10.3.49.118 to 10.3.49.119 | — | 2 |
| 189 | 10.3.49.120/31 | 10.3.49.120 to 10.3.49.121 | — | 2 |
| 190 | 10.3.49.122/31 | 10.3.49.122 to 10.3.49.123 | — | 2 |
| 191 | 10.3.49.124/31 | 10.3.49.124 to 10.3.49.125 | — | 2 |
| 192 | 10.3.49.126/31 | 10.3.49.126 to 10.3.49.127 | — | 2 |
| 193 | 10.3.49.128/31 | 10.3.49.128 to 10.3.49.129 | — | 2 |
| 194 | 10.3.49.130/31 | 10.3.49.130 to 10.3.49.131 | — | 2 |
| 195 | 10.3.49.132/31 | 10.3.49.132 to 10.3.49.133 | — | 2 |
| 196 | 10.3.49.134/31 | 10.3.49.134 to 10.3.49.135 | — | 2 |
| 197 | 10.3.49.136/31 | 10.3.49.136 to 10.3.49.137 | — | 2 |
| 198 | 10.3.49.138/31 | 10.3.49.138 to 10.3.49.139 | — | 2 |
| 199 | 10.3.49.140/31 | 10.3.49.140 to 10.3.49.141 | — | 2 |
| 200 | 10.3.49.142/31 | 10.3.49.142 to 10.3.49.143 | — | 2 |
| 201 | 10.3.49.144/31 | 10.3.49.144 to 10.3.49.145 | — | 2 |
| 202 | 10.3.49.146/31 | 10.3.49.146 to 10.3.49.147 | — | 2 |
| 203 | 10.3.49.148/31 | 10.3.49.148 to 10.3.49.149 | — | 2 |
| 204 | 10.3.49.150/31 | 10.3.49.150 to 10.3.49.151 | — | 2 |
| 205 | 10.3.49.152/31 | 10.3.49.152 to 10.3.49.153 | — | 2 |
| 206 | 10.3.49.154/31 | 10.3.49.154 to 10.3.49.155 | — | 2 |
| 207 | 10.3.49.156/31 | 10.3.49.156 to 10.3.49.157 | — | 2 |
| 208 | 10.3.49.158/31 | 10.3.49.158 to 10.3.49.159 | — | 2 |
| 209 | 10.3.49.160/31 | 10.3.49.160 to 10.3.49.161 | — | 2 |
| 210 | 10.3.49.162/31 | 10.3.49.162 to 10.3.49.163 | — | 2 |
| 211 | 10.3.49.164/31 | 10.3.49.164 to 10.3.49.165 | — | 2 |
| 212 | 10.3.49.166/31 | 10.3.49.166 to 10.3.49.167 | — | 2 |
| 213 | 10.3.49.168/31 | 10.3.49.168 to 10.3.49.169 | — | 2 |
| 214 | 10.3.49.170/31 | 10.3.49.170 to 10.3.49.171 | — | 2 |
| 215 | 10.3.49.172/31 | 10.3.49.172 to 10.3.49.173 | — | 2 |
| 216 | 10.3.49.174/31 | 10.3.49.174 to 10.3.49.175 | — | 2 |
| 217 | 10.3.49.176/31 | 10.3.49.176 to 10.3.49.177 | — | 2 |
| 218 | 10.3.49.178/31 | 10.3.49.178 to 10.3.49.179 | — | 2 |
| 219 | 10.3.49.180/31 | 10.3.49.180 to 10.3.49.181 | — | 2 |
| 220 | 10.3.49.182/31 | 10.3.49.182 to 10.3.49.183 | — | 2 |
| 221 | 10.3.49.184/31 | 10.3.49.184 to 10.3.49.185 | — | 2 |
| 222 | 10.3.49.186/31 | 10.3.49.186 to 10.3.49.187 | — | 2 |
| 223 | 10.3.49.188/31 | 10.3.49.188 to 10.3.49.189 | — | 2 |
| 224 | 10.3.49.190/31 | 10.3.49.190 to 10.3.49.191 | — | 2 |
| 225 | 10.3.49.192/31 | 10.3.49.192 to 10.3.49.193 | — | 2 |
| 226 | 10.3.49.194/31 | 10.3.49.194 to 10.3.49.195 | — | 2 |
| 227 | 10.3.49.196/31 | 10.3.49.196 to 10.3.49.197 | — | 2 |
| 228 | 10.3.49.198/31 | 10.3.49.198 to 10.3.49.199 | — | 2 |
| 229 | 10.3.49.200/31 | 10.3.49.200 to 10.3.49.201 | — | 2 |
| 230 | 10.3.49.202/31 | 10.3.49.202 to 10.3.49.203 | — | 2 |
| 231 | 10.3.49.204/31 | 10.3.49.204 to 10.3.49.205 | — | 2 |
| 232 | 10.3.49.206/31 | 10.3.49.206 to 10.3.49.207 | — | 2 |
| 233 | 10.3.49.208/31 | 10.3.49.208 to 10.3.49.209 | — | 2 |
| 234 | 10.3.49.210/31 | 10.3.49.210 to 10.3.49.211 | — | 2 |
| 235 | 10.3.49.212/31 | 10.3.49.212 to 10.3.49.213 | — | 2 |
| 236 | 10.3.49.214/31 | 10.3.49.214 to 10.3.49.215 | — | 2 |
| 237 | 10.3.49.216/31 | 10.3.49.216 to 10.3.49.217 | — | 2 |
| 238 | 10.3.49.218/31 | 10.3.49.218 to 10.3.49.219 | — | 2 |
| 239 | 10.3.49.220/31 | 10.3.49.220 to 10.3.49.221 | — | 2 |
| 240 | 10.3.49.222/31 | 10.3.49.222 to 10.3.49.223 | — | 2 |
| 241 | 10.3.49.224/31 | 10.3.49.224 to 10.3.49.225 | — | 2 |
| 242 | 10.3.49.226/31 | 10.3.49.226 to 10.3.49.227 | — | 2 |
| 243 | 10.3.49.228/31 | 10.3.49.228 to 10.3.49.229 | — | 2 |
| 244 | 10.3.49.230/31 | 10.3.49.230 to 10.3.49.231 | — | 2 |
| 245 | 10.3.49.232/31 | 10.3.49.232 to 10.3.49.233 | — | 2 |
| 246 | 10.3.49.234/31 | 10.3.49.234 to 10.3.49.235 | — | 2 |
| 247 | 10.3.49.236/31 | 10.3.49.236 to 10.3.49.237 | — | 2 |
| 248 | 10.3.49.238/31 | 10.3.49.238 to 10.3.49.239 | — | 2 |
| 249 | 10.3.49.240/31 | 10.3.49.240 to 10.3.49.241 | — | 2 |
| 250 | 10.3.49.242/31 | 10.3.49.242 to 10.3.49.243 | — | 2 |
| 251 | 10.3.49.244/31 | 10.3.49.244 to 10.3.49.245 | — | 2 |
| 252 | 10.3.49.246/31 | 10.3.49.246 to 10.3.49.247 | — | 2 |
| 253 | 10.3.49.248/31 | 10.3.49.248 to 10.3.49.249 | — | 2 |
| 254 | 10.3.49.250/31 | 10.3.49.250 to 10.3.49.251 | — | 2 |
| 255 | 10.3.49.252/31 | 10.3.49.252 to 10.3.49.253 | — | 2 |
| 256 | 10.3.49.254/31 | 10.3.49.254 to 10.3.49.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |